summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-12-10 01:47:44 +0100
committerHolger Levsen <holger@layer-acht.org>2016-12-10 01:47:44 +0100
commit81e9ec5b3227c90054417e2253d81856f6b8a108 (patch)
tree42c86cd6865c5cf93101cf58c32f9ee3dc8dfdd6 /bin/reproducible_maintenance.sh
parent6fec93aae2d2f801812c5d634fcb5f2886029166 (diff)
downloadjenkins.debian.net-81e9ec5b3227c90054417e2253d81856f6b8a108.tar.xz
reproducible Debian: count entries better
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index f2001256..d6984213 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -408,7 +408,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] && [ $(date -u +%H) -eq 0 ] ; then
if [ -s $PROBLEM ] ; then
TMPFILE=$(mktemp --tmpdir=$TEMPDIR maintenance-XXXXXXXXXXXX)
mv $PROBLEM $TMPFILE
- ( echo "A few entries per day are normal, a few dozens or hundreds probably not." ; echo ; echo "$(cat $TMPFILE | wc -l) lines." ; cat $TMPFILE ) | mail -s "$(basename $PROBLEM) found" qa-jenkins-scm@lists.alioth.debian.org
+ ( echo "A few entries per day are normal, a few dozens or hundreds probably not." ; echo ; echo "$(grep -c https $TMPFILE || true) entries found." ; cat $TMPFILE ) | mail -s "$(basename $PROBLEM) found" qa-jenkins-scm@lists.alioth.debian.org
rm -f $TMPFILE
fi
done